System 2.0.0.0 4.0.0.0 System.Enum

For more information about DATADIR, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Specifies the direction of the data flow in the parameter of the method. This determines the formats that the resulting enumerator can enumerate.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DATADIR

  Requests that supply an enumerator for the formats that can be specified in .

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DATADIR

  Requests that supply an enumerator for the formats that can be specified in .